import 'package:data_cache/cacher.dart';
import 'package:flutter_test/flutter_test.dart';

import 'package:data_cache/data_cache.dart';

void main() async{

  test('adds one to input values', () {
    final calculator = Calculator();
    expect(calculator.addOne(2), 3);
    expect(calculator.addOne(-7), -6);
    expect(calculator.addOne(0), 1);
  });

  test("test adding", ()async{
    final cache=cacheManager({c0:[c0.fromMap,(c0 x)=>x.toMap()]});
    await Future.delayed(Duration(milliseconds: 500));
    cache.check();
    expect(cache.get<c0>("id0"), null);
    cache.addOrUpdate<c0>(c0("id0", 1));
    cache.check();
    expect(cache.get<c0>("id0").toString(), c0("id0", 1));
  });
}

class c0{
  String id;
  int time;
  c0(this.id,this.time);
  c0.fromMap(Map<String,dynamic>m):id=m["id"],time=int.parse("${m["time"]}");
  toMap()=>{"id":id,"time":time};
}

class c1{
  String id;
  String name;
  c1(this.id,this.name);
  c1.fromMap(Map<String,dynamic>m):id=m["id"],name=m["name"];
  toMap()=>{"id":id,"name":name};
}
